Welcome!

The kernel problem with recent updates has been solved. Find the solution here

Important information
-- Required MX 15/16 Repository Changes
-- Information on torrent hosting changes
-- Information on MX15/16 GPG Keys
-- Spectre and Meltdown vulnerabilities

News
-- Introducing our new Website
-- MX Linux on social media: here

Current releases
-- MX-18.3 Point Release release info here
-- Migration Information to MX-18 here
-- antiX-17.4.1 release info here

New users
-- Please read this first, and don't forget to add system and hardware information to posts!
-- Here are the Forum Rules

ksnip 1.6 from test repo does not run [SOLVED]

Report Bugs, Issues and non- package Requests
User avatar
chrispop99
Forum Guide
Forum Guide
Posts: 2986
Joined: Tue Jan 27, 2009 3:07 pm

Re: ksnip 1.6 from test repo does not run

#11

Post by chrispop99 » Mon Jun 10, 2019 4:10 pm

penguin wrote:
Mon Jun 10, 2019 2:23 pm
chrispop99 wrote:
Mon Jun 10, 2019 2:03 pm
It runs fine here on a mature install.

Chris
Sorry Chris, because I am not native speaker. What means mature install ?
My apologies; your English is so good, I didn't realise it was not your native language.

'Mature' in general means old, or well-established.

I used the term to mean an install that had been done some time ago, so the opposite of a new install. I included that information because sometimes it is helpful in finding a problem. I hope you understand, but ask again if not.

Chris
Test machines:
32-bit non-PAE - Thinkpad T41, 1.6GHz Pentium M, 1GB RAM.
32-bit PAE - DELL Latitude D610, 1.73GHz Pentium M, 2GB RAM.
64-bit - Lenovo T61, 2GHz Core 2 Duo, 2GB RAM
64-bit - Gigabyte Z77P-D3, Intel i3-3220, GeForce 8400 GS, 4GB PC3-12800.

User avatar
penguin
Forum Regular
Forum Regular
Posts: 375
Joined: Wed Jan 04, 2017 3:15 pm

Re: ksnip 1.6 from test repo does not run [SOLVED]

#12

Post by penguin » Mon Jun 10, 2019 4:41 pm

Stevo wrote:
Mon Jun 10, 2019 4:01 pm
Yes, since the build process did not automatically add the dependency for the newer library version, the packager can manually add it to the "Depends:" field in debian/control, then rebuild. They can update the "Qt 4.8" part in the description, too, that's another minor bug.
l
Ksnip is a Qt 4.8 based Linux screenshot tool inspired by the
Windows Snipping Tool.
Hi @Stevo.

I would ask some suggestions of MX > Package Installer .

1- Create a new tab and please list there repos for all MX Linux version. I know that they are in the MX Linux web portal , but maybe many others not.
Lets say ...
MX 18 ( stable repo and test repo > weblink )
MX 17 ...etc. (web link)

2- Because some times one can have this kind of problem (similar to ksnip) . If it is possible to add some buttons (like Synaptic ), so one can find easily information about dependences, files that will be installed etc. of the package that he want to install as test ? If this is not possible just show the link where this package is located.

That's for the moment.

User avatar
Stevo
Forum Veteran
Forum Veteran
Posts: 19820
Joined: Fri Dec 15, 2006 8:07 pm

Re: ksnip 1.6 from test repo does not run [SOLVED]

#13

Post by Stevo » Mon Jun 10, 2019 6:49 pm

There are no separate MX 18 repositories, everything built on a Stretch base is versioned as mx17, with the exception of native MX packages which are usually versioned by the date.

Most of those extras can already be done in Synaptic, so I don't know if the MXPI developer wants to duplicate what it does or what "apt show ksnip" can, for example. I'm not the programmer.

Post Reply

Return to “Bugs and Non-Package Requests Forum”